<!DOCTYPE html>
<html>
<head>
	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">

    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='main.css') }}">
	<title>Quora</title>
</head>
<body>
	<header class="site-header">
	  <nav class="navbar navbar-expand-md navbar-dark bg-steel fixed-top">
	    <div class="container">
	      <a class="navbar-brand mr-4" href="/">Quora Home</a>
	      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarToggle" aria-controls="navbarToggle" aria-expanded="false" aria-label="Toggle navigation">
	        <span class="navbar-toggler-icon"></span>
	      </button>
	      <div class="collapse navbar-collapse" id="navbarToggle">
	        <div class="navbar-nav mr-auto">
	          <a class="nav-item nav-link" href="{{ url_for('home') }}">Home</a>
	          <a class="nav-item nav-link" href="#">Physics</a>
	          <a class="nav-item nav-link" href="#">Math</a>
	          <a class="nav-item nav-link" href="#">Chemistory</a>
	          <a class="nav-item nav-link" href="#">Computer</a>
	          <a class="nav-item nav-link" href="#">IT</a>

	        </div>
	        <!-- Navbar Right Side -->
	        <div class="navbar-nav">
	        	{% if current_user.is_authenticated %}
	        		<a class="nav-item nav-link" href="{{ url_for('new_question') }}">New Question</a>
	        		<a class="nav-item nav-link" href="{{ url_for('account') }}">Account</a>
	        		<a class="nav-item nav-link" href="{{ url_for('logout') }}">Logout</a>
	            {% else %}
		          <a class="nav-item nav-link" href="{{ url_for('login') }}">Login</a>
		          <a class="nav-item nav-link" href="{{ url_for('register') }}">Register</a>
	          	{% endif %}
	        </div>
	      </div>
	    </div>
	  </nav>
	</header>	
	<main role="main" class="container">
	  <div class="row">
	    <div class="col-md-8">
	       {% with messages = get_flashed_messages(with_categories=true) %}
	       		{%if messages %}
	       			{% for category, message in messages %}
	       				<div class="alert alert-{{ category }}">
	       					{{message}}
	       				</div>
	       			{% endfor %}
	       		{% endif %}
	       {% endwith %}
	      {% block content %}{% endblock %}
	    </div>
	    <div class="col-md-4">
	      <div class="content-section">
	        <h3>Information Zone</h3>
	        <p class='text-muted'>You can get any information here.
	          <ul class="list-group">
	            <li class="list-group-item list-group-item-light"><a href="#">Science</a></li>
	            <li class="list-group-item list-group-item-light"><a href="#">Computer</a></li>
	            <li class="list-group-item list-group-item-light"><a href="#">News</a></li>
	            <li class="list-group-item list-group-item-light"><a href="#">etc</a></li>
	          </ul>
	        </p>
	        {% if current_user.is_authenticated %}
	        	<center><button id="start-bg-job">User Data</button></center><br/>
    			<center><p id="download"></p></center>
	        {% endif %}
	      </div>
	    </div>
	  </div>
	</main>
	 <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js" integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k" crossorigin="anonymous"></script>
    <!-- script for background job -->

    <!-- add jQuery -->
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
    <script>
        function start_download() {
            // send ajax POST request to start background job
            $.ajax({
                type: 'POST',
                url: '/download',				//ping with routes download
                success: function(data, status, request) {
                    status_url = request.getResponseHeader('d_status');
                    update_progress(status_url);
                },
                error: function() {
                    alert('Unexpected error');
                }
            });
        }
        function update_progress(status) {
            // send GET request to status URL
            $.getJSON(status_url, function(data) {
                if ('filename' in data) {
                    // show result
                    document.getElementById('download').innerHTML = '<a href="/static/data.txt">Download</a>';
                }
                else {
                    // something unexpected happened
                    $('#download').text(data['state']);
                    setTimeout(function() {
                        update_progress(status_url);
                    }, 1000);
                }
            });
        }
        $(function() {
            $('#start-bg-job').click(start_download);
        });
    </script>
</body>
</html>